import * as vscode from 'vscode';
import { IPythonTerminal } from '../pythonTerminal/types';
import { IOptionsBuilder, IPackageRunner } from './types';
import { PackageInfo } from '../types';
/**
 * Runs autoflake.
 */
export declare class PackageRunner implements IPackageRunner {
    private terminal;
    private installationTerminalProvider;
    private optionsBuilder;
    private packageInfo;
    constructor(terminal: IPythonTerminal, optionsBuilder: IOptionsBuilder, packageInfo: PackageInfo, installationTerminalProvider?: () => Promise<IPythonTerminal>);
    /**
     * Run package for the uris based on the configuration.
     * @param uris File paths and folder paths to run package for.
     */
    run(uris: vscode.Uri[]): Promise<void>;
}
